### Struct

# Pango AttrSize

#### Description [src]

    struct PangoAttrSize {
      PangoAttribute attr;
      int size;
      guint absolute : 1;
    }

The `PangoAttrSize` structure is used to represent attributes which set font size.

###### Structure members

`attr:` `PangoAttribute`

  The common portion of the attribute.

`size:` `int`

  Size of font, in units of 1/`PANGO_SCALE` of a point (for `PANGO_ATTR_SIZE`) or of a device unit (for `PANGO_ATTR_ABSOLUTE_SIZE`).

`absolute:` `guint`

  Whether the font size is in device units or points. This field is only present for compatibility with Pango-1.8.0 (`PANGO_ATTR_ABSOLUTE_SIZE` was added in 1.8.1); and always will be `FALSE` for `PANGO_ATTR_SIZE` and `TRUE` for `PANGO_ATTR_ABSOLUTE_SIZE`.

#### Functions

###### pango_attr_size_new

Create a new font-size attribute in fractional points.

###### pango_attr_size_new_absolute

Create a new font-size attribute in device units.

since: 1.8